Skip to main content
GET
/
api
/
public
/
v1
/
assets
/
{assetId}
/
model
/
versions
/
{versionId}
Get model version
curl --request GET \
  --url https://{BaseURL}/api/public/v1/assets/{assetId}/model/versions/{versionId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "version": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "versionNumber": 123,
      "recordType": "<string>",
      "published": true,
      "comment": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "<string>",
      "nodes": [
        {}
      ],
      "edges": [
        {}
      ],
      "metadata": {}
    }
  }
}
Returns a single model version, including nodes, edges, and metadata for the canvas. Model parameters and UI settings are not included. Useful for a full documentation of a model configuration, i.e. all tool configurations, metadata flowing through the model and a graph through the edges object.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

assetId
string<uuid>
required
versionId
string<uuid>
required

Response

OK

data
object
required